package com.artfess.sysConfig.service;

import com.fasterxml.jackson.databind.node.ObjectNode;

/**
 * 日志记录批量处理服务
 *
 * @company 广州宏天软件股份有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2020年11月10日
 */
public interface SysLogsBatchService {
	/**
	 * 添加要记录的日志对象
	 * @param objectNode
	 */
	void reader(ObjectNode objectNode) throws Exception;
	/**
	 * 日志记录周期性触发
	 */
	void process();
}
